<?php


    spl_autoload_register( function( $class ){
        
		// ładowanie klas
		$variant_1 = DIR_CLASS . $class . '.class.php';
        $variant_2 = DIR_CLASS . $class . '.php';
        
		if( file_exists( $variant_1 ) ){
			
            require_once $variant_1;
            return true;
                       
		} elseif( file_exists( $variant_2 ) ) {
			
            require_once $variant_2;
            return true;	
            			
		} else {
		  
            return;
          
		}
        
    });

    
?>